import{jsxs as e,jsx as o}from"react/jsx-runtime";import{forwardRef as t,useRef as r,useState as i}from"react";import{Typography as s}from"@equinor/eds-core-react";import{ReleaseNotesService as l}from"@equinor/subsurface-app-management";import{RELEASE_NOTE_RICH_TEXT_COLLAPSED_HEIGHT as m}from"./ReleaseNote.constants.js";import{timeToRead as a,usingReleaseNoteDate as n}from"./ReleaseNote.utils.js";import{ToggleExpanded as p}from"./ToggleExpanded.js";import"../../molecules/RichTextEditor/custom-extensions/AmplifyKit.js";import"../../molecules/RichTextEditor/RichTextEditor.types.js";import"../../_virtual/lodash.js";import"../TopBar/Notifications/NotificationProvider.js";import"../../providers/AuthProvider/AuthProvider.js";import"../../providers/ReleaseNotesProvider.js";import"../../providers/SideBarProvider.js";import"../../providers/SnackbarProvider/SnackbarProvider.js";import"../../providers/StepperProvider.js";import"../../providers/TableOfContentsProvider.js";import"../../providers/ThemeProvider/ThemeProvider.js";import"react-router-dom";import"@tanstack/react-query";import{shape as c}from"../../atoms/style/index.js";import"../../atoms/enums/Errors.js";import"../../atoms/enums/Environment.js";import"../../atoms/enums/Theme.js";import"../../atoms/enums/SpacingsMode.js";import"../../atoms/utils/auth_environment.js";import{formatRelativeDateTime as u}from"../../atoms/utils/date.js";import"html2canvas";import"proj4";import"@equinor/eds-icons";import"../../molecules/AnimatedCheckmark/AnimatedCheckmark.styles.js";import"../../molecules/ApplicationIcon/ApplicationIcon.js";import"../../molecules/Badge/Badge.styles.js";import"../../molecules/Banner/Banner.styles.js";import"../../molecules/Button/Button.js";import"../../molecules/Chip/Chip.js";import"../../molecules/ContentMenu/ContentMenu.styles.js";import"../../molecules/DatePicker/DatePicker.js";import"../../molecules/Dialog/Dialog.js";import"../../molecules/EquinorLogo/EquinorLogo.js";import"../../molecules/FileProgress/CompactFileProgress.styles.js";import"../../molecules/FileProgress/RegularFileProgress.styles.js";import"../../molecules/FileUploadArea/FileUploadArea.js";import"../../molecules/FullPageSpinner/FullPageSpinner.js";import"../../molecules/InfoElement/InfoElement.js";import"../../molecules/OptionalTooltip/OptionalTooltip.js";import"../../molecules/ProfileAvatar/ProfileAvatar.js";import{RichTextDisplay as d}from"../../molecules/RichTextDisplay/RichTextDisplay.js";import"../../molecules/RichTextEditor/MenuBar/MenuBar.js";import"@tiptap/react";import"../../molecules/RichTextEditor/RichTextEditor.styles.js";import{colors as j}from"../../atoms/style/colors.js";import"../../molecules/Tabs/Tabs.js";import"../../molecules/RichTextEditor/MenuBar/MenuBar.styles.js";import"../../molecules/RichTextEditor/MenuBar/MenuButton.js";import"../../molecules/Search/Search.js";import"../../molecules/Sieve/Sieve.styles.js";import"../../molecules/SingleFilterMenu/SingleFilterMenu.js";import"../../molecules/Skeleton/SkeletonBase/SkeletonBase.js";import"../../molecules/Skeleton/Skeleton.styles.js";import"../../molecules/Stepper/Stepper.js";import"../../molecules/OptionDrawer/OptionDrawer.js";import"../../molecules/Select/Select.styles.js";import{spacings as h}from"../../atoms/style/spacings.js";import"../../molecules/ListItem/ListItem.js";import"../../molecules/SelectionControls/Checkbox/Checkbox.js";import"../../molecules/SelectionControls/Radio/Radio.js";import"../../molecules/SelectionControls/Switch/Switch.js";import"../../molecules/Waves/Waves.styles.js";import{motion as g}from"framer-motion";import{MetaTags as v}from"./MetaTags.js";import f from"styled-components";const x=f.div`
  display: flex;
  flex-direction: column;
  padding: ${h.medium};
  position: relative;
  background: ${j.ui.background__default.rgba};
  border: 1px solid ${j.ui.background__heavy.rgba};
  border-radius: ${c.corners.borderRadius};
  min-width: 800px;
  width: 100%;
  overflow: hidden;
  > h4 {
    margin-top: ${h.large};
    margin-bottom: ${h.medium};
  }
  padding-bottom: calc(
    68px + ${h.medium}
  ); // Space for the expand button
`,y=f.header`
  display: flex;
  justify-content: space-between;
  align-items: center;
`,S=f.section`
  display: flex;
  gap: ${h.medium};
  align-items: center;
`,b=t((({applicationName:t,releaseDate:c,createdDate:h,tags:f,version:b,title:T,body:P,actionMenu:R,startExpanded:k=!1},E)=>{const B=n({releaseDate:c,createdDate:h}),C=r(k?"auto":m),[M,D]=i(k),[_,A]=i(!1),F=r(new ResizeObserver((e=>{e.at(0)&&e[0].target.scrollHeight>m&&A(!0)})));return e(x,{ref:E,children:[e(y,{children:[e(S,{children:[o(s,{variant:"caption",color:j.text.static_icons__secondary.rgba,children:t}),e(s,{variant:"overline",color:j.text.static_icons__tertiary.rgba,children:[u(B),b?` ・ ${b}`:""," ・ ",a(P)]})]}),o(v,{tags:f,children:R})]}),o(s,{variant:"h4",children:T}),o(g.div,{ref:e=>{e&&F.current.observe(e)},initial:{height:C.current},animate:{height:M?"auto":m},children:o(d,{value:P,onImageRead:l.getReleaseNoteImage,padding:"none"})}),_&&o(p,{expanded:M,onToggleExpanded:()=>{D((e=>!e)),"auto"===C.current&&(C.current=m)}})]})}));b.displayName="ReleaseNote";export{b as ReleaseNote};
