import { ReactElement } from 'react';
import { RenderOptions } from '@testing-library/react';
import { userEvent } from '@testing-library/user-event';
import { page, userEvent as vitestBrowserUserEvent } from '@vitest/browser/context';
declare const renderWithProviders: (ui: ReactElement, options?: Omit<RenderOptions, "wrapper">) => import("@testing-library/react").RenderResult<typeof import("@testing-library/dom/types/queries"), HTMLElement, HTMLElement>;
export declare function fakeSelectItem(): {
    label: string;
    value: string;
};
export declare function fakeSelectItems(count?: number): {
    label: string;
    value: string;
}[];
export * from '@testing-library/react';
export { renderWithProviders, userEvent, vitestBrowserUserEvent, page };
